C     F, grad F and the J(F) 
C 
C     F =  %e^(-y^2+2*y-x^2+x+3)-y^2-x^2+1 
C 
C     Automatically generated 06:20:17 Fri, 5/14/2010 (GMT+0) 
C 
      function getvalue(x,y) 
      implicit real*8 (a-z) 
      t1 = -x**2
      t2 = -y**2
      getvalue = exp(t2+2*y+t1+x+3)+t2+t1+1
      end 
 
      subroutine getgrad(L,x,y) 
      implicit real*8 (a-z) 
      dimension L(2) 
      t1 = -2*x
      t2 = exp(-y**2+2*y-x**2+x+3)
      t3 = -2*y
      L(1) = (t1+1)*t2+t1
      L(2) = (t3+2)*t2+t3
      end 
 
      subroutine getjacobian(J,x,y) 
      implicit real*8 (a-z) 
      dimension J(2,2) 
      t1 = exp(-y**2+2*y-x**2+x+3)
      t2 = -2*t1
      t3 = 1-2*x
      t4 = 2-2*y
      t5 = t3*t4*t1
      J(1,1) = t3**2*t1+t2-2
      J(1,2) = t5
      J(2,1) = t5
      J(2,2) = t4**2*t1+t2-2
      end 
